petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscGlobalMinMaxReal

Get the global min/max from local min/max input

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGlobalMinMaxReal(MPI_Comm comm, PetscReal minMaxVal[2], PetscReal minMaxValGlobal[2])

Collective

### Input Parameter

minMaxVal -An array with the local min and max

### Output Parameter

minMaxValGlobal -An array with the global min and max

### See Also

PetscSplitOwnership()

### Level

beginner

### Location

src/sys/utils/mpiu.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages